<?php
namespace Claromentis\Core\Ai\Parts;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array();






class EmbeddingPart implements PartInterface
{
    
    
    
    
    
    
    protected array $embeddings;
    
    
    
    
    
    
    
    
    
    protected string $role;
    
    
    
    
    
    
    
    public function __construct(array $_f6435639088ceb6622480409bfdf8fb7, string $_d1071a032215f0eb5c4a8ef175f7049d = PartInterface::PART_ROLE_MODEL)
    {
        $this->embeddings = $_f6435639088ceb6622480409bfdf8fb7;
        $this->role = $_d1071a032215f0eb5c4a8ef175f7049d;
    }
    
    
    
    
    
    
    public function getValue() : array
    {
        return $this->embeddings;
    }
    
    
    
    
    
    
    public function getRole() : string
    {
        return $this->role;
    }
}